"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var index_exports = {};
__export(index_exports, {
  AccessDeniedException: () => AccessDeniedException,
  AlgorithmNameCloudRemoval: () => AlgorithmNameCloudRemoval,
  AlgorithmNameGeoMosaic: () => AlgorithmNameGeoMosaic,
  AlgorithmNameResampling: () => AlgorithmNameResampling,
  AreaOfInterest: () => AreaOfInterest,
  AreaOfInterestFilterSensitiveLog: () => AreaOfInterestFilterSensitiveLog,
  AreaOfInterestGeometry: () => AreaOfInterestGeometry,
  AreaOfInterestGeometryFilterSensitiveLog: () => AreaOfInterestGeometryFilterSensitiveLog,
  ComparisonOperator: () => ComparisonOperator,
  ConflictException: () => ConflictException,
  DataCollectionType: () => DataCollectionType,
  DeleteEarthObservationJobCommand: () => DeleteEarthObservationJobCommand,
  DeleteVectorEnrichmentJobCommand: () => DeleteVectorEnrichmentJobCommand,
  EarthObservationJobErrorType: () => EarthObservationJobErrorType,
  EarthObservationJobExportStatus: () => EarthObservationJobExportStatus,
  EarthObservationJobStatus: () => EarthObservationJobStatus,
  ExportEarthObservationJobCommand: () => ExportEarthObservationJobCommand,
  ExportErrorType: () => ExportErrorType,
  ExportVectorEnrichmentJobCommand: () => ExportVectorEnrichmentJobCommand,
  GeometryFilterSensitiveLog: () => GeometryFilterSensitiveLog,
  GetEarthObservationJobCommand: () => GetEarthObservationJobCommand,
  GetEarthObservationJobOutputFilterSensitiveLog: () => GetEarthObservationJobOutputFilterSensitiveLog,
  GetRasterDataCollectionCommand: () => GetRasterDataCollectionCommand,
  GetTileCommand: () => GetTileCommand,
  GetTileOutputFilterSensitiveLog: () => GetTileOutputFilterSensitiveLog,
  GetVectorEnrichmentJobCommand: () => GetVectorEnrichmentJobCommand,
  GroupBy: () => GroupBy,
  InputConfigInputFilterSensitiveLog: () => InputConfigInputFilterSensitiveLog,
  InputConfigOutputFilterSensitiveLog: () => InputConfigOutputFilterSensitiveLog,
  InternalServerException: () => InternalServerException,
  ItemSourceFilterSensitiveLog: () => ItemSourceFilterSensitiveLog,
  JobConfigInput: () => JobConfigInput,
  ListEarthObservationJobInputFilterSensitiveLog: () => ListEarthObservationJobInputFilterSensitiveLog,
  ListEarthObservationJobOutputFilterSensitiveLog: () => ListEarthObservationJobOutputFilterSensitiveLog,
  ListEarthObservationJobsCommand: () => ListEarthObservationJobsCommand,
  ListRasterDataCollectionsCommand: () => ListRasterDataCollectionsCommand,
  ListRasterDataCollectionsInputFilterSensitiveLog: () => ListRasterDataCollectionsInputFilterSensitiveLog,
  ListRasterDataCollectionsOutputFilterSensitiveLog: () => ListRasterDataCollectionsOutputFilterSensitiveLog,
  ListTagsForResourceCommand: () => ListTagsForResourceCommand,
  ListVectorEnrichmentJobInputFilterSensitiveLog: () => ListVectorEnrichmentJobInputFilterSensitiveLog,
  ListVectorEnrichmentJobOutputFilterSensitiveLog: () => ListVectorEnrichmentJobOutputFilterSensitiveLog,
  ListVectorEnrichmentJobsCommand: () => ListVectorEnrichmentJobsCommand,
  LogicalOperator: () => LogicalOperator,
  MultiPolygonGeometryInputFilterSensitiveLog: () => MultiPolygonGeometryInputFilterSensitiveLog,
  OutputType: () => OutputType,
  PolygonGeometryInputFilterSensitiveLog: () => PolygonGeometryInputFilterSensitiveLog,
  PredefinedResolution: () => PredefinedResolution,
  Property: () => Property,
  RasterDataCollectionQueryInputFilterSensitiveLog: () => RasterDataCollectionQueryInputFilterSensitiveLog,
  RasterDataCollectionQueryOutputFilterSensitiveLog: () => RasterDataCollectionQueryOutputFilterSensitiveLog,
  RasterDataCollectionQueryWithBandFilterInputFilterSensitiveLog: () => RasterDataCollectionQueryWithBandFilterInputFilterSensitiveLog,
  ResourceNotFoundException: () => ResourceNotFoundException,
  SageMakerGeospatial: () => SageMakerGeospatial,
  SageMakerGeospatialClient: () => SageMakerGeospatialClient,
  SageMakerGeospatialServiceException: () => SageMakerGeospatialServiceException,
  SearchRasterDataCollectionCommand: () => SearchRasterDataCollectionCommand,
  SearchRasterDataCollectionInputFilterSensitiveLog: () => SearchRasterDataCollectionInputFilterSensitiveLog,
  SearchRasterDataCollectionOutputFilterSensitiveLog: () => SearchRasterDataCollectionOutputFilterSensitiveLog,
  ServiceQuotaExceededException: () => ServiceQuotaExceededException,
  SortOrder: () => SortOrder,
  StartEarthObservationJobCommand: () => StartEarthObservationJobCommand,
  StartEarthObservationJobInputFilterSensitiveLog: () => StartEarthObservationJobInputFilterSensitiveLog,
  StartEarthObservationJobOutputFilterSensitiveLog: () => StartEarthObservationJobOutputFilterSensitiveLog,
  StartVectorEnrichmentJobCommand: () => StartVectorEnrichmentJobCommand,
  StopEarthObservationJobCommand: () => StopEarthObservationJobCommand,
  StopVectorEnrichmentJobCommand: () => StopVectorEnrichmentJobCommand,
  TagResourceCommand: () => TagResourceCommand,
  TargetOptions: () => TargetOptions,
  TemporalStatistics: () => TemporalStatistics,
  ThrottlingException: () => ThrottlingException,
  TimeRangeFilterInputFilterSensitiveLog: () => TimeRangeFilterInputFilterSensitiveLog,
  TimeRangeFilterOutputFilterSensitiveLog: () => TimeRangeFilterOutputFilterSensitiveLog,
  Unit: () => Unit,
  UntagResourceCommand: () => UntagResourceCommand,
  ValidationException: () => ValidationException,
  VectorEnrichmentJobConfig: () => VectorEnrichmentJobConfig,
  VectorEnrichmentJobDataSourceConfigInput: () => VectorEnrichmentJobDataSourceConfigInput,
  VectorEnrichmentJobDocumentType: () => VectorEnrichmentJobDocumentType,
  VectorEnrichmentJobErrorType: () => VectorEnrichmentJobErrorType,
  VectorEnrichmentJobExportErrorType: () => VectorEnrichmentJobExportErrorType,
  VectorEnrichmentJobExportStatus: () => VectorEnrichmentJobExportStatus,
  VectorEnrichmentJobStatus: () => VectorEnrichmentJobStatus,
  VectorEnrichmentJobType: () => VectorEnrichmentJobType,
  ZonalStatistics: () => ZonalStatistics,
  __Client: () => import_smithy_client.Client,
  paginateListEarthObservationJobs: () => paginateListEarthObservationJobs,
  paginateListRasterDataCollections: () => paginateListRasterDataCollections,
  paginateListVectorEnrichmentJobs: () => paginateListVectorEnrichmentJobs,
  paginateSearchRasterDataCollection: () => paginateSearchRasterDataCollection
});
module.exports = __toCommonJS(index_exports);

// src/SageMakerGeospatialClient.ts
var import_middleware_host_header = require("@aws-sdk/middleware-host-header");
var import_middleware_logger = require("@aws-sdk/middleware-logger");
var import_middleware_recursion_detection = require("@aws-sdk/middleware-recursion-detection");
var import_middleware_user_agent = require("@aws-sdk/middleware-user-agent");
var import_config_resolver = require("@smithy/config-resolver");
var import_core = require("@smithy/core");
var import_middleware_content_length = require("@smithy/middleware-content-length");
var import_middleware_endpoint = require("@smithy/middleware-endpoint");
var import_middleware_retry = require("@smithy/middleware-retry");

var import_httpAuthSchemeProvider = require("./auth/httpAuthSchemeProvider");

// src/endpoint/EndpointParameters.ts
var resolveClientEndpointParameters = /* @__PURE__ */ __name((options) => {
  return {
    ...options,
    useDualstackEndpoint: options.useDualstackEndpoint ?? false,
    useFipsEndpoint: options.useFipsEndpoint ?? false,
    defaultSigningName: "sagemaker-geospatial"
  };
}, "resolveClientEndpointParameters");
var commonParams = {
  UseFIPS: { type: "builtInParams", name: "useFipsEndpoint" },
  Endpoint: { type: "builtInParams", name: "endpoint" },
  Region: { type: "builtInParams", name: "region" },
  UseDualStack: { type: "builtInParams", name: "useDualstackEndpoint" }
};

// src/SageMakerGeospatialClient.ts
var import_runtimeConfig = require("././runtimeConfig");

// src/runtimeExtensions.ts
var import_region_config_resolver = require("@aws-sdk/region-config-resolver");
var import_protocol_http = require("@smithy/protocol-http");
var import_smithy_client = require("@smithy/smithy-client");

// src/auth/httpAuthExtensionConfiguration.ts
var getHttpAuthExtensionConfiguration = /* @__PURE__ */ __name((runtimeConfig) => {
  const _httpAuthSchemes = runtimeConfig.httpAuthSchemes;
  let _httpAuthSchemeProvider = runtimeConfig.httpAuthSchemeProvider;
  let _credentials = runtimeConfig.credentials;
  return {
    setHttpAuthScheme(httpAuthScheme) {
      const index = _httpAuthSchemes.findIndex((scheme) => scheme.schemeId === httpAuthScheme.schemeId);
      if (index === -1) {
        _httpAuthSchemes.push(httpAuthScheme);
      } else {
        _httpAuthSchemes.splice(index, 1, httpAuthScheme);
      }
    },
    httpAuthSchemes() {
      return _httpAuthSchemes;
    },
    setHttpAuthSchemeProvider(httpAuthSchemeProvider) {
      _httpAuthSchemeProvider = httpAuthSchemeProvider;
    },
    httpAuthSchemeProvider() {
      return _httpAuthSchemeProvider;
    },
    setCredentials(credentials) {
      _credentials = credentials;
    },
    credentials() {
      return _credentials;
    }
  };
}, "getHttpAuthExtensionConfiguration");
var resolveHttpAuthRuntimeConfig = /* @__PURE__ */ __name((config) => {
  return {
    httpAuthSchemes: config.httpAuthSchemes(),
    httpAuthSchemeProvider: config.httpAuthSchemeProvider(),
    credentials: config.credentials()
  };
}, "resolveHttpAuthRuntimeConfig");

// src/runtimeExtensions.ts
var asPartial = /* @__PURE__ */ __name((t) => t, "asPartial");
var resolveRuntimeExtensions = /* @__PURE__ */ __name((runtimeConfig, extensions) => {
  const extensionConfiguration = {
    ...asPartial((0, import_region_config_resolver.getAwsRegionExtensionConfiguration)(runtimeConfig)),
    ...asPartial((0, import_smithy_client.getDefaultExtensionConfiguration)(runtimeConfig)),
    ...asPartial((0, import_protocol_http.getHttpHandlerExtensionConfiguration)(runtimeConfig)),
    ...asPartial(getHttpAuthExtensionConfiguration(runtimeConfig))
  };
  extensions.forEach((extension) => extension.configure(extensionConfiguration));
  return {
    ...runtimeConfig,
    ...(0, import_region_config_resolver.resolveAwsRegionExtensionConfiguration)(extensionConfiguration),
    ...(0, import_smithy_client.resolveDefaultRuntimeConfig)(extensionConfiguration),
    ...(0, import_protocol_http.resolveHttpHandlerRuntimeConfig)(extensionConfiguration),
    ...resolveHttpAuthRuntimeConfig(extensionConfiguration)
  };
}, "resolveRuntimeExtensions");

// src/SageMakerGeospatialClient.ts
var SageMakerGeospatialClient = class extends import_smithy_client.Client {
  static {
    __name(this, "SageMakerGeospatialClient");
  }
  /**
   * The resolved configuration of SageMakerGeospatialClient class. This is resolved and normalized from the {@link SageMakerGeospatialClientConfig | constructor configuration interface}.
   */
  config;
  constructor(...[configuration]) {
    const _config_0 = (0, import_runtimeConfig.getRuntimeConfig)(configuration || {});
    const _config_1 = resolveClientEndpointParameters(_config_0);
    const _config_2 = (0, import_middleware_user_agent.resolveUserAgentConfig)(_config_1);
    const _config_3 = (0, import_middleware_retry.resolveRetryConfig)(_config_2);
    const _config_4 = (0, import_config_resolver.resolveRegionConfig)(_config_3);
    const _config_5 = (0, import_middleware_host_header.resolveHostHeaderConfig)(_config_4);
    const _config_6 = (0, import_middleware_endpoint.resolveEndpointConfig)(_config_5);
    const _config_7 = (0, import_httpAuthSchemeProvider.resolveHttpAuthSchemeConfig)(_config_6);
    const _config_8 = resolveRuntimeExtensions(_config_7, configuration?.extensions || []);
    super(_config_8);
    this.config = _config_8;
    this.middlewareStack.use((0, import_middleware_user_agent.getUserAgentPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_retry.getRetryPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_content_length.getContentLengthPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_host_header.getHostHeaderPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_logger.getLoggerPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_recursion_detection.getRecursionDetectionPlugin)(this.config));
    this.middlewareStack.use(
      (0, import_core.getHttpAuthSchemeEndpointRuleSetPlugin)(this.config, {
        httpAuthSchemeParametersProvider: import_httpAuthSchemeProvider.defaultSageMakerGeospatialHttpAuthSchemeParametersProvider,
        identityProviderConfigProvider: /* @__PURE__ */ __name(async (config) => new import_core.DefaultIdentityProviderConfig({
          "aws.auth#sigv4": config.credentials
        }), "identityProviderConfigProvider")
      })
    );
    this.middlewareStack.use((0, import_core.getHttpSigningPlugin)(this.config));
  }
  /**
   * Destroy underlying resources, like sockets. It's usually not necessary to do this.
   * However in Node.js, it's best to explicitly shut down the client's agent when it is no longer needed.
   * Otherwise, sockets might stay open for quite a long time before the server terminates them.
   */
  destroy() {
    super.destroy();
  }
};

// src/SageMakerGeospatial.ts


// src/commands/DeleteEarthObservationJobCommand.ts

var import_middleware_serde = require("@smithy/middleware-serde");


// src/protocols/Aws_restJson1.ts
var import_core2 = require("@aws-sdk/core");


var import_uuid = require("uuid");

// src/models/models_0.ts


// src/models/SageMakerGeospatialServiceException.ts

var SageMakerGeospatialServiceException = class _SageMakerGeospatialServiceException extends import_smithy_client.ServiceException {
  static {
    __name(this, "SageMakerGeospatialServiceException");
  }
  /**
   * @internal
   */
  constructor(options) {
    super(options);
    Object.setPrototypeOf(this, _SageMakerGeospatialServiceException.prototype);
  }
};

// src/models/models_0.ts
var AccessDeniedException = class _AccessDeniedException extends SageMakerGeospatialServiceException {
  static {
    __name(this, "AccessDeniedException");
  }
  name = "AccessDeniedException";
  $fault = "client";
  Message;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "AccessDeniedException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _AccessDeniedException.prototype);
    this.Message = opts.Message;
  }
};
var AlgorithmNameCloudRemoval = {
  /**
   * INTERPOLATION
   */
  INTERPOLATION: "INTERPOLATION"
};
var AlgorithmNameGeoMosaic = {
  /**
   * AVERAGE
   */
  AVERAGE: "AVERAGE",
  /**
   * BILINEAR
   */
  BILINEAR: "BILINEAR",
  /**
   * CUBIC
   */
  CUBIC: "CUBIC",
  /**
   * CUBICSPLINE
   */
  CUBICSPLINE: "CUBICSPLINE",
  /**
   * LANCZOS
   */
  LANCZOS: "LANCZOS",
  /**
   * MAX
   */
  MAX: "MAX",
  /**
   * MED
   */
  MED: "MED",
  /**
   * MIN
   */
  MIN: "MIN",
  /**
   * MODE
   */
  MODE: "MODE",
  /**
   * NEAR
   */
  NEAR: "NEAR",
  /**
   * Q1
   */
  Q1: "Q1",
  /**
   * Q3
   */
  Q3: "Q3",
  /**
   * RMS
   */
  RMS: "RMS",
  /**
   * SUM
   */
  SUM: "SUM"
};
var AlgorithmNameResampling = {
  /**
   * AVERAGE
   */
  AVERAGE: "AVERAGE",
  /**
   * BILINEAR
   */
  BILINEAR: "BILINEAR",
  /**
   * CUBIC
   */
  CUBIC: "CUBIC",
  /**
   * CUBICSPLINE
   */
  CUBICSPLINE: "CUBICSPLINE",
  /**
   * LANCZOS
   */
  LANCZOS: "LANCZOS",
  /**
   * MAX
   */
  MAX: "MAX",
  /**
   * MED
   */
  MED: "MED",
  /**
   * MIN
   */
  MIN: "MIN",
  /**
   * MODE
   */
  MODE: "MODE",
  /**
   * NEAR
   */
  NEAR: "NEAR",
  /**
   * Q1
   */
  Q1: "Q1",
  /**
   * Q3
   */
  Q3: "Q3",
  /**
   * RMS
   */
  RMS: "RMS",
  /**
   * SUM
   */
  SUM: "SUM"
};
var AreaOfInterestGeometry;
((AreaOfInterestGeometry2) => {
  AreaOfInterestGeometry2.visit = /* @__PURE__ */ __name((value, visitor) => {
    if (value.PolygonGeometry !== void 0) return visitor.PolygonGeometry(value.PolygonGeometry);
    if (value.MultiPolygonGeometry !== void 0) return visitor.MultiPolygonGeometry(value.MultiPolygonGeometry);
    return visitor._(value.$unknown[0], value.$unknown[1]);
  }, "visit");
})(AreaOfInterestGeometry || (AreaOfInterestGeometry = {}));
var AreaOfInterest;
((AreaOfInterest2) => {
  AreaOfInterest2.visit = /* @__PURE__ */ __name((value, visitor) => {
    if (value.AreaOfInterestGeometry !== void 0) return visitor.AreaOfInterestGeometry(value.AreaOfInterestGeometry);
    return visitor._(value.$unknown[0], value.$unknown[1]);
  }, "visit");
})(AreaOfInterest || (AreaOfInterest = {}));
var OutputType = {
  /**
   * FLOAT32
   */
  FLOAT32: "FLOAT32",
  /**
   * FLOAT64
   */
  FLOAT64: "FLOAT64",
  /**
   * INT16
   */
  INT16: "INT16",
  /**
   * INT32
   */
  INT32: "INT32",
  /**
   * UINT16
   */
  UINT16: "UINT16"
};
var ComparisonOperator = {
  /**
   * EQUALS
   */
  EQUALS: "EQUALS",
  /**
   * NOT_EQUALS
   */
  NOT_EQUALS: "NOT_EQUALS",
  /**
   * STARTS_WITH
   */
  STARTS_WITH: "STARTS_WITH"
};
var ConflictException = class _ConflictException extends SageMakerGeospatialServiceException {
  static {
    __name(this, "ConflictException");
  }
  name = "ConflictException";
  $fault = "client";
  Message;
  /**
   * <p>Identifier of the resource affected.</p>
   * @public
   */
  ResourceId;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ConflictException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ConflictException.prototype);
    this.Message = opts.Message;
    this.ResourceId = opts.ResourceId;
  }
};
var DataCollectionType = {
  /**
   * PREMIUM
   */
  PREMIUM: "PREMIUM",
  /**
   * PUBLIC
   */
  PUBLIC: "PUBLIC",
  /**
   * USER
   */
  USER: "USER"
};
var InternalServerException = class _InternalServerException extends SageMakerGeospatialServiceException {
  static {
    __name(this, "InternalServerException");
  }
  name = "InternalServerException";
  $fault = "server";
  Message;
  /**
   * <p/>
   * @public
   */
  ResourceId;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InternalServerException",
      $fault: "server",
      ...opts
    });
    Object.setPrototypeOf(this, _InternalServerException.prototype);
    this.Message = opts.Message;
    this.ResourceId = opts.ResourceId;
  }
};
var ResourceNotFoundException = class _ResourceNotFoundException extends SageMakerGeospatialServiceException {
  static {
    __name(this, "ResourceNotFoundException");
  }
  name = "ResourceNotFoundException";
  $fault = "client";
  Message;
  /**
   * <p>Identifier of the resource that was not found.</p>
   * @public
   */
  ResourceId;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ResourceNotFoundException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ResourceNotFoundException.prototype);
    this.Message = opts.Message;
    this.ResourceId = opts.ResourceId;
  }
};
var ThrottlingException = class _ThrottlingException extends SageMakerGeospatialServiceException {
  static {
    __name(this, "ThrottlingException");
  }
  name = "ThrottlingException";
  $fault = "client";
  Message;
  /**
   * <p/>
   * @public
   */
  ResourceId;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ThrottlingException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ThrottlingException.prototype);
    this.Message = opts.Message;
    this.ResourceId = opts.ResourceId;
  }
};
var ValidationException = class _ValidationException extends SageMakerGeospatialServiceException {
  static {
    __name(this, "ValidationException");
  }
  name = "ValidationException";
  $fault = "client";
  Message;
  /**
   * <p/>
   * @public
   */
  ResourceId;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ValidationException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ValidationException.prototype);
    this.Message = opts.Message;
    this.ResourceId = opts.ResourceId;
  }
};
var EarthObservationJobExportStatus = {
  /**
   * FAILED
   */
  FAILED: "FAILED",
  /**
   * IN_PROGRESS
   */
  IN_PROGRESS: "IN_PROGRESS",
  /**
   * SUCCEEDED
   */
  SUCCEEDED: "SUCCEEDED"
};
var ServiceQuotaExceededException = class _ServiceQuotaExceededException extends SageMakerGeospatialServiceException {
  static {
    __name(this, "ServiceQuotaExceededException");
  }
  name = "ServiceQuotaExceededException";
  $fault = "client";
  Message;
  /**
   * <p>Identifier of the resource affected.</p>
   * @public
   */
  ResourceId;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ServiceQuotaExceededException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ServiceQuotaExceededException.prototype);
    this.Message = opts.Message;
    this.ResourceId = opts.ResourceId;
  }
};
var EarthObservationJobErrorType = {
  /**
   * CLIENT_ERROR
   */
  CLIENT_ERROR: "CLIENT_ERROR",
  /**
   * SERVER_ERROR
   */
  SERVER_ERROR: "SERVER_ERROR"
};
var ExportErrorType = {
  /**
   * CLIENT_ERROR
   */
  CLIENT_ERROR: "CLIENT_ERROR",
  /**
   * SERVER_ERROR
   */
  SERVER_ERROR: "SERVER_ERROR"
};
var LogicalOperator = {
  /**
   * AND
   */
  AND: "AND"
};
var Property;
((Property2) => {
  Property2.visit = /* @__PURE__ */ __name((value, visitor) => {
    if (value.EoCloudCover !== void 0) return visitor.EoCloudCover(value.EoCloudCover);
    if (value.ViewOffNadir !== void 0) return visitor.ViewOffNadir(value.ViewOffNadir);
    if (value.ViewSunAzimuth !== void 0) return visitor.ViewSunAzimuth(value.ViewSunAzimuth);
    if (value.ViewSunElevation !== void 0) return visitor.ViewSunElevation(value.ViewSunElevation);
    if (value.Platform !== void 0) return visitor.Platform(value.Platform);
    if (value.LandsatCloudCoverLand !== void 0) return visitor.LandsatCloudCoverLand(value.LandsatCloudCoverLand);
    return visitor._(value.$unknown[0], value.$unknown[1]);
  }, "visit");
})(Property || (Property = {}));
var Unit = {
  /**
   * METERS
   */
  METERS: "METERS"
};
var PredefinedResolution = {
  /**
   * AVERAGE
   */
  AVERAGE: "AVERAGE",
  /**
   * HIGHEST
   */
  HIGHEST: "HIGHEST",
  /**
   * LOWEST
   */
  LOWEST: "LOWEST"
};
var GroupBy = {
  /**
   * ALL
   */
  ALL: "ALL",
  /**
   * YEARLY
   */
  YEARLY: "YEARLY"
};
var TemporalStatistics = {
  /**
   * MEAN
   */
  MEAN: "MEAN",
  /**
   * MEDIAN
   */
  MEDIAN: "MEDIAN",
  /**
   * STANDARD_DEVIATION
   */
  STANDARD_DEVIATION: "STANDARD_DEVIATION"
};
var ZonalStatistics = {
  /**
   * MAX
   */
  MAX: "MAX",
  /**
   * MEAN
   */
  MEAN: "MEAN",
  /**
   * MEDIAN
   */
  MEDIAN: "MEDIAN",
  /**
   * MIN
   */
  MIN: "MIN",
  /**
   * STANDARD_DEVIATION
   */
  STANDARD_DEVIATION: "STANDARD_DEVIATION",
  /**
   * SUM
   */
  SUM: "SUM"
};
var JobConfigInput;
((JobConfigInput2) => {
  JobConfigInput2.visit = /* @__PURE__ */ __name((value, visitor) => {
    if (value.BandMathConfig !== void 0) return visitor.BandMathConfig(value.BandMathConfig);
    if (value.ResamplingConfig !== void 0) return visitor.ResamplingConfig(value.ResamplingConfig);
    if (value.TemporalStatisticsConfig !== void 0)
      return visitor.TemporalStatisticsConfig(value.TemporalStatisticsConfig);
    if (value.CloudRemovalConfig !== void 0) return visitor.CloudRemovalConfig(value.CloudRemovalConfig);
    if (value.ZonalStatisticsConfig !== void 0) return visitor.ZonalStatisticsConfig(value.ZonalStatisticsConfig);
    if (value.GeoMosaicConfig !== void 0) return visitor.GeoMosaicConfig(value.GeoMosaicConfig);
    if (value.StackConfig !== void 0) return visitor.StackConfig(value.StackConfig);
    if (value.CloudMaskingConfig !== void 0) return visitor.CloudMaskingConfig(value.CloudMaskingConfig);
    if (value.LandCoverSegmentationConfig !== void 0)
      return visitor.LandCoverSegmentationConfig(value.LandCoverSegmentationConfig);
    return visitor._(value.$unknown[0], value.$unknown[1]);
  }, "visit");
})(JobConfigInput || (JobConfigInput = {}));
var EarthObservationJobStatus = {
  /**
   * COMPLETED
   */
  COMPLETED: "COMPLETED",
  /**
   * DELETED
   */
  DELETED: "DELETED",
  /**
   * DELETING
   */
  DELETING: "DELETING",
  /**
   * FAILED
   */
  FAILED: "FAILED",
  /**
   * INITIALIZING
   */
  INITIALIZING: "INITIALIZING",
  /**
   * IN_PROGRESS
   */
  IN_PROGRESS: "IN_PROGRESS",
  /**
   * STOPPED
   */
  STOPPED: "STOPPED",
  /**
   * STOPPING
   */
  STOPPING: "STOPPING"
};
var TargetOptions = {
  /**
   * INPUT
   */
  INPUT: "INPUT",
  /**
   * OUTPUT
   */
  OUTPUT: "OUTPUT"
};
var SortOrder = {
  /**
   * ASCENDING
   */
  ASCENDING: "ASCENDING",
  /**
   * DESCENDING
   */
  DESCENDING: "DESCENDING"
};
var VectorEnrichmentJobExportStatus = {
  FAILED: "FAILED",
  IN_PROGRESS: "IN_PROGRESS",
  SUCCEEDED: "SUCCEEDED"
};
var VectorEnrichmentJobErrorType = {
  /**
   * CLIENT_ERROR
   */
  CLIENT_ERROR: "CLIENT_ERROR",
  /**
   * SERVER_ERROR
   */
  SERVER_ERROR: "SERVER_ERROR"
};
var VectorEnrichmentJobExportErrorType = {
  CLIENT_ERROR: "CLIENT_ERROR",
  SERVER_ERROR: "SERVER_ERROR"
};
var VectorEnrichmentJobDataSourceConfigInput;
((VectorEnrichmentJobDataSourceConfigInput3) => {
  VectorEnrichmentJobDataSourceConfigInput3.visit = /* @__PURE__ */ __name((value, visitor) => {
    if (value.S3Data !== void 0) return visitor.S3Data(value.S3Data);
    return visitor._(value.$unknown[0], value.$unknown[1]);
  }, "visit");
})(VectorEnrichmentJobDataSourceConfigInput || (VectorEnrichmentJobDataSourceConfigInput = {}));
var VectorEnrichmentJobDocumentType = {
  CSV: "CSV"
};
var VectorEnrichmentJobConfig;
((VectorEnrichmentJobConfig3) => {
  VectorEnrichmentJobConfig3.visit = /* @__PURE__ */ __name((value, visitor) => {
    if (value.ReverseGeocodingConfig !== void 0) return visitor.ReverseGeocodingConfig(value.ReverseGeocodingConfig);
    if (value.MapMatchingConfig !== void 0) return visitor.MapMatchingConfig(value.MapMatchingConfig);
    return visitor._(value.$unknown[0], value.$unknown[1]);
  }, "visit");
})(VectorEnrichmentJobConfig || (VectorEnrichmentJobConfig = {}));
var VectorEnrichmentJobStatus = {
  COMPLETED: "COMPLETED",
  DELETED: "DELETED",
  DELETING: "DELETING",
  FAILED: "FAILED",
  INITIALIZING: "INITIALIZING",
  IN_PROGRESS: "IN_PROGRESS",
  STOPPED: "STOPPED",
  STOPPING: "STOPPING"
};
var VectorEnrichmentJobType = {
  MAP_MATCHING: "MAP_MATCHING",
  REVERSE_GEOCODING: "REVERSE_GEOCODING"
};
var MultiPolygonGeometryInputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.Coordinates && { Coordinates: obj.Coordinates.map((item) => item.map((item2) => import_smithy_client.SENSITIVE_STRING)) }
}), "MultiPolygonGeometryInputFilterSensitiveLog");
var PolygonGeometryInputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.Coordinates && { Coordinates: obj.Coordinates.map((item) => import_smithy_client.SENSITIVE_STRING) }
}), "PolygonGeometryInputFilterSensitiveLog");
var AreaOfInterestGeometryFilterSensitiveLog = /* @__PURE__ */ __name((obj) => {
  if (obj.PolygonGeometry !== void 0)
    return { PolygonGeometry: PolygonGeometryInputFilterSensitiveLog(obj.PolygonGeometry) };
  if (obj.MultiPolygonGeometry !== void 0)
    return { MultiPolygonGeometry: MultiPolygonGeometryInputFilterSensitiveLog(obj.MultiPolygonGeometry) };
  if (obj.$unknown !== void 0) return { [obj.$unknown[0]]: "UNKNOWN" };
}, "AreaOfInterestGeometryFilterSensitiveLog");
var AreaOfInterestFilterSensitiveLog = /* @__PURE__ */ __name((obj) => {
  if (obj.AreaOfInterestGeometry !== void 0)
    return { AreaOfInterestGeometry: AreaOfInterestGeometryFilterSensitiveLog(obj.AreaOfInterestGeometry) };
  if (obj.$unknown !== void 0) return { [obj.$unknown[0]]: "UNKNOWN" };
}, "AreaOfInterestFilterSensitiveLog");
var TimeRangeFilterOutputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj
}), "TimeRangeFilterOutputFilterSensitiveLog");
var RasterDataCollectionQueryOutputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.TimeRangeFilter && { TimeRangeFilter: import_smithy_client.SENSITIVE_STRING },
  ...obj.AreaOfInterest && { AreaOfInterest: AreaOfInterestFilterSensitiveLog(obj.AreaOfInterest) },
  ...obj.PropertyFilters && { PropertyFilters: obj.PropertyFilters }
}), "RasterDataCollectionQueryOutputFilterSensitiveLog");
var InputConfigOutputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.RasterDataCollectionQuery && {
    RasterDataCollectionQuery: RasterDataCollectionQueryOutputFilterSensitiveLog(obj.RasterDataCollectionQuery)
  }
}), "InputConfigOutputFilterSensitiveLog");
var GetEarthObservationJobOutputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.InputConfig && { InputConfig: InputConfigOutputFilterSensitiveLog(obj.InputConfig) },
  ...obj.JobConfig && { JobConfig: obj.JobConfig }
}), "GetEarthObservationJobOutputFilterSensitiveLog");
var GetTileOutputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj
}), "GetTileOutputFilterSensitiveLog");
var ListEarthObservationJobInputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.NextToken && { NextToken: import_smithy_client.SENSITIVE_STRING }
}), "ListEarthObservationJobInputFilterSensitiveLog");
var ListEarthObservationJobOutputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.NextToken && { NextToken: import_smithy_client.SENSITIVE_STRING }
}), "ListEarthObservationJobOutputFilterSensitiveLog");
var TimeRangeFilterInputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj
}), "TimeRangeFilterInputFilterSensitiveLog");
var RasterDataCollectionQueryInputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.TimeRangeFilter && { TimeRangeFilter: import_smithy_client.SENSITIVE_STRING },
  ...obj.AreaOfInterest && { AreaOfInterest: AreaOfInterestFilterSensitiveLog(obj.AreaOfInterest) },
  ...obj.PropertyFilters && { PropertyFilters: obj.PropertyFilters }
}), "RasterDataCollectionQueryInputFilterSensitiveLog");
var InputConfigInputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.RasterDataCollectionQuery && {
    RasterDataCollectionQuery: RasterDataCollectionQueryInputFilterSensitiveLog(obj.RasterDataCollectionQuery)
  }
}), "InputConfigInputFilterSensitiveLog");
var StartEarthObservationJobInputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.InputConfig && { InputConfig: InputConfigInputFilterSensitiveLog(obj.InputConfig) },
  ...obj.JobConfig && { JobConfig: obj.JobConfig }
}), "StartEarthObservationJobInputFilterSensitiveLog");
var StartEarthObservationJobOutputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.InputConfig && { InputConfig: InputConfigOutputFilterSensitiveLog(obj.InputConfig) },
  ...obj.JobConfig && { JobConfig: obj.JobConfig }
}), "StartEarthObservationJobOutputFilterSensitiveLog");
var GeometryFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.Coordinates && { Coordinates: obj.Coordinates.map((item) => import_smithy_client.SENSITIVE_STRING) }
}), "GeometryFilterSensitiveLog");
var ItemSourceFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.Geometry && { Geometry: GeometryFilterSensitiveLog(obj.Geometry) }
}), "ItemSourceFilterSensitiveLog");
var ListRasterDataCollectionsInputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.NextToken && { NextToken: import_smithy_client.SENSITIVE_STRING }
}), "ListRasterDataCollectionsInputFilterSensitiveLog");
var ListRasterDataCollectionsOutputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.NextToken && { NextToken: import_smithy_client.SENSITIVE_STRING }
}), "ListRasterDataCollectionsOutputFilterSensitiveLog");
var ListVectorEnrichmentJobInputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.NextToken && { NextToken: import_smithy_client.SENSITIVE_STRING }
}), "ListVectorEnrichmentJobInputFilterSensitiveLog");
var ListVectorEnrichmentJobOutputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.NextToken && { NextToken: import_smithy_client.SENSITIVE_STRING }
}), "ListVectorEnrichmentJobOutputFilterSensitiveLog");
var RasterDataCollectionQueryWithBandFilterInputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.TimeRangeFilter && { TimeRangeFilter: import_smithy_client.SENSITIVE_STRING },
  ...obj.AreaOfInterest && { AreaOfInterest: AreaOfInterestFilterSensitiveLog(obj.AreaOfInterest) },
  ...obj.PropertyFilters && { PropertyFilters: obj.PropertyFilters }
}), "RasterDataCollectionQueryWithBandFilterInputFilterSensitiveLog");
var SearchRasterDataCollectionInputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.RasterDataCollectionQuery && {
    RasterDataCollectionQuery: RasterDataCollectionQueryWithBandFilterInputFilterSensitiveLog(
      obj.RasterDataCollectionQuery
    )
  },
  ...obj.NextToken && { NextToken: import_smithy_client.SENSITIVE_STRING }
}), "SearchRasterDataCollectionInputFilterSensitiveLog");
var SearchRasterDataCollectionOutputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.NextToken && { NextToken: import_smithy_client.SENSITIVE_STRING },
  ...obj.Items && { Items: obj.Items.map((item) => ItemSourceFilterSensitiveLog(item)) }
}), "SearchRasterDataCollectionOutputFilterSensitiveLog");

// src/protocols/Aws_restJson1.ts
var se_DeleteEarthObservationJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/earth-observation-jobs/{Arn}");
  b.p("Arn", () => input.Arn, "{Arn}", false);
  let body;
  b.m("DELETE").h(headers).b(body);
  return b.build();
}, "se_DeleteEarthObservationJobCommand");
var se_DeleteVectorEnrichmentJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/vector-enrichment-jobs/{Arn}");
  b.p("Arn", () => input.Arn, "{Arn}", false);
  let body;
  b.m("DELETE").h(headers).b(body);
  return b.build();
}, "se_DeleteVectorEnrichmentJobCommand");
var se_ExportEarthObservationJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/export-earth-observation-job");
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Arn: [],
      ClientToken: [true, (_) => _ ?? (0, import_uuid.v4)()],
      ExecutionRoleArn: [],
      ExportSourceImages: [],
      OutputConfig: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "OutputConfig")
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_ExportEarthObservationJobCommand");
var se_ExportVectorEnrichmentJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/export-vector-enrichment-jobs");
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Arn: [],
      ClientToken: [true, (_) => _ ?? (0, import_uuid.v4)()],
      ExecutionRoleArn: [],
      OutputConfig: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "OutputConfig")
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_ExportVectorEnrichmentJobCommand");
var se_GetEarthObservationJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/earth-observation-jobs/{Arn}");
  b.p("Arn", () => input.Arn, "{Arn}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetEarthObservationJobCommand");
var se_GetRasterDataCollectionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/raster-data-collection/{Arn}");
  b.p("Arn", () => input.Arn, "{Arn}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetRasterDataCollectionCommand");
var se_GetTileCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/tile/{z}/{x}/{y}");
  b.p("x", () => input.x.toString(), "{x}", false);
  b.p("y", () => input.y.toString(), "{y}", false);
  b.p("z", () => input.z.toString(), "{z}", false);
  const query = (0, import_smithy_client.map)({
    [_IA]: [(0, import_smithy_client.expectNonNull)(input.ImageAssets, `ImageAssets`) != null, () => input[_IA] || []],
    [_T]: [, (0, import_smithy_client.expectNonNull)(input[_T], `Target`)],
    [_A]: [, (0, import_smithy_client.expectNonNull)(input[_A], `Arn`)],
    [_IM]: [() => input.ImageMask !== void 0, () => input[_IM].toString()],
    [_OF]: [, input[_OF]],
    [_TRF]: [, input[_TRF]],
    [_PF]: [, input[_PF]],
    [_ODT]: [, input[_ODT]],
    [_ERA]: [, input[_ERA]]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_GetTileCommand");
var se_GetVectorEnrichmentJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/vector-enrichment-jobs/{Arn}");
  b.p("Arn", () => input.Arn, "{Arn}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetVectorEnrichmentJobCommand");
var se_ListEarthObservationJobsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/list-earth-observation-jobs");
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      MaxResults: [],
      NextToken: [],
      SortBy: [],
      SortOrder: [],
      StatusEquals: []
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_ListEarthObservationJobsCommand");
var se_ListRasterDataCollectionsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/raster-data-collections");
  const query = (0, import_smithy_client.map)({
    [_NT]: [, input[_NT]],
    [_MR]: [() => input.MaxResults !== void 0, () => input[_MR].toString()]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_ListRasterDataCollectionsCommand");
var se_ListTagsForResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/tags/{ResourceArn}");
  b.p("ResourceArn", () => input.ResourceArn, "{ResourceArn}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_ListTagsForResourceCommand");
var se_ListVectorEnrichmentJobsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/list-vector-enrichment-jobs");
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      MaxResults: [],
      NextToken: [],
      SortBy: [],
      SortOrder: [],
      StatusEquals: []
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_ListVectorEnrichmentJobsCommand");
var se_SearchRasterDataCollectionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/search-raster-data-collection");
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Arn: [],
      NextToken: [],
      RasterDataCollectionQuery: /* @__PURE__ */ __name((_) => se_RasterDataCollectionQueryWithBandFilterInput(_, context), "RasterDataCollectionQuery")
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_SearchRasterDataCollectionCommand");
var se_StartEarthObservationJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/earth-observation-jobs");
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      ClientToken: [true, (_) => _ ?? (0, import_uuid.v4)()],
      ExecutionRoleArn: [],
      InputConfig: /* @__PURE__ */ __name((_) => se_InputConfigInput(_, context), "InputConfig"),
      JobConfig: /* @__PURE__ */ __name((_) => se_JobConfigInput(_, context), "JobConfig"),
      KmsKeyId: [],
      Name: [],
      Tags: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "Tags")
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_StartEarthObservationJobCommand");
var se_StartVectorEnrichmentJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/vector-enrichment-jobs");
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      ClientToken: [true, (_) => _ ?? (0, import_uuid.v4)()],
      ExecutionRoleArn: [],
      InputConfig: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "InputConfig"),
      JobConfig: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "JobConfig"),
      KmsKeyId: [],
      Name: [],
      Tags: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "Tags")
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_StartVectorEnrichmentJobCommand");
var se_StopEarthObservationJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/earth-observation-jobs/stop");
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Arn: []
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_StopEarthObservationJobCommand");
var se_StopVectorEnrichmentJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/vector-enrichment-jobs/stop");
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Arn: []
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_StopVectorEnrichmentJobCommand");
var se_TagResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/tags/{ResourceArn}");
  b.p("ResourceArn", () => input.ResourceArn, "{ResourceArn}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Tags: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "Tags")
    })
  );
  b.m("PUT").h(headers).b(body);
  return b.build();
}, "se_TagResourceCommand");
var se_UntagResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/tags/{ResourceArn}");
  b.p("ResourceArn", () => input.ResourceArn, "{ResourceArn}", false);
  const query = (0, import_smithy_client.map)({
    [_tK]: [(0, import_smithy_client.expectNonNull)(input.TagKeys, `TagKeys`) != null, () => input[_TK] || []]
  });
  let body;
  b.m("DELETE").h(headers).q(query).b(body);
  return b.build();
}, "se_UntagResourceCommand");
var de_DeleteEarthObservationJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_DeleteEarthObservationJobCommand");
var de_DeleteVectorEnrichmentJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_DeleteVectorEnrichmentJobCommand");
var de_ExportEarthObservationJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    CreationTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseRfc3339DateTimeWithOffset)(_)), "CreationTime"),
    ExecutionRoleArn: import_smithy_client.expectString,
    ExportSourceImages: import_smithy_client.expectBoolean,
    ExportStatus: import_smithy_client.expectString,
    OutputConfig: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ExportEarthObservationJobCommand");
var de_ExportVectorEnrichmentJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    CreationTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseRfc3339DateTimeWithOffset)(_)), "CreationTime"),
    ExecutionRoleArn: import_smithy_client.expectString,
    ExportStatus: import_smithy_client.expectString,
    OutputConfig: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ExportVectorEnrichmentJobCommand");
var de_GetEarthObservationJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    CreationTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseRfc3339DateTimeWithOffset)(_)), "CreationTime"),
    DurationInSeconds: import_smithy_client.expectInt32,
    ErrorDetails: import_smithy_client._json,
    ExecutionRoleArn: import_smithy_client.expectString,
    ExportErrorDetails: import_smithy_client._json,
    ExportStatus: import_smithy_client.expectString,
    InputConfig: /* @__PURE__ */ __name((_) => de_InputConfigOutput(_, context), "InputConfig"),
    JobConfig: /* @__PURE__ */ __name((_) => de_JobConfigInput((0, import_core2.awsExpectUnion)(_), context), "JobConfig"),
    KmsKeyId: import_smithy_client.expectString,
    Name: import_smithy_client.expectString,
    OutputBands: import_smithy_client._json,
    Status: import_smithy_client.expectString,
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetEarthObservationJobCommand");
var de_GetRasterDataCollectionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    Description: import_smithy_client.expectString,
    DescriptionPageUrl: import_smithy_client.expectString,
    ImageSourceBands: import_smithy_client._json,
    Name: import_smithy_client.expectString,
    SupportedFilters: /* @__PURE__ */ __name((_) => de_FilterList(_, context), "SupportedFilters"),
    Tags: import_smithy_client._json,
    Type: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetRasterDataCollectionCommand");
var de_GetTileCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = output.body;
  context.sdkStreamMixin(data);
  contents.BinaryFile = data;
  return contents;
}, "de_GetTileCommand");
var de_GetVectorEnrichmentJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    CreationTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseRfc3339DateTimeWithOffset)(_)), "CreationTime"),
    DurationInSeconds: import_smithy_client.expectInt32,
    ErrorDetails: import_smithy_client._json,
    ExecutionRoleArn: import_smithy_client.expectString,
    ExportErrorDetails: import_smithy_client._json,
    ExportStatus: import_smithy_client.expectString,
    InputConfig: import_smithy_client._json,
    JobConfig: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)((0, import_core2.awsExpectUnion)(_)), "JobConfig"),
    KmsKeyId: import_smithy_client.expectString,
    Name: import_smithy_client.expectString,
    Status: import_smithy_client.expectString,
    Tags: import_smithy_client._json,
    Type: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetVectorEnrichmentJobCommand");
var de_ListEarthObservationJobsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    EarthObservationJobSummaries: /* @__PURE__ */ __name((_) => de_EarthObservationJobList(_, context), "EarthObservationJobSummaries"),
    NextToken: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListEarthObservationJobsCommand");
var de_ListRasterDataCollectionsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    NextToken: import_smithy_client.expectString,
    RasterDataCollectionSummaries: /* @__PURE__ */ __name((_) => de_DataCollectionsList(_, context), "RasterDataCollectionSummaries")
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListRasterDataCollectionsCommand");
var de_ListTagsForResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListTagsForResourceCommand");
var de_ListVectorEnrichmentJobsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    NextToken: import_smithy_client.expectString,
    VectorEnrichmentJobSummaries: /* @__PURE__ */ __name((_) => de_VectorEnrichmentJobList(_, context), "VectorEnrichmentJobSummaries")
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListVectorEnrichmentJobsCommand");
var de_SearchRasterDataCollectionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    ApproximateResultCount: import_smithy_client.expectInt32,
    Items: /* @__PURE__ */ __name((_) => de_ItemSourceList(_, context), "Items"),
    NextToken: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_SearchRasterDataCollectionCommand");
var de_StartEarthObservationJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    CreationTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseRfc3339DateTimeWithOffset)(_)), "CreationTime"),
    DurationInSeconds: import_smithy_client.expectInt32,
    ExecutionRoleArn: import_smithy_client.expectString,
    InputConfig: /* @__PURE__ */ __name((_) => de_InputConfigOutput(_, context), "InputConfig"),
    JobConfig: /* @__PURE__ */ __name((_) => de_JobConfigInput((0, import_core2.awsExpectUnion)(_), context), "JobConfig"),
    KmsKeyId: import_smithy_client.expectString,
    Name: import_smithy_client.expectString,
    Status: import_smithy_client.expectString,
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_StartEarthObservationJobCommand");
var de_StartVectorEnrichmentJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    CreationTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseRfc3339DateTimeWithOffset)(_)), "CreationTime"),
    DurationInSeconds: import_smithy_client.expectInt32,
    ExecutionRoleArn: import_smithy_client.expectString,
    InputConfig: import_smithy_client._json,
    JobConfig: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)((0, import_core2.awsExpectUnion)(_)), "JobConfig"),
    KmsKeyId: import_smithy_client.expectString,
    Name: import_smithy_client.expectString,
    Status: import_smithy_client.expectString,
    Tags: import_smithy_client._json,
    Type: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_StartVectorEnrichmentJobCommand");
var de_StopEarthObservationJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_StopEarthObservationJobCommand");
var de_StopVectorEnrichmentJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_StopVectorEnrichmentJobCommand");
var de_TagResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_TagResourceCommand");
var de_UntagResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_UntagResourceCommand");
var de_CommandError = /* @__PURE__ */ __name(async (output, context) => {
  const parsedOutput = {
    ...output,
    body: await (0, import_core2.parseJsonErrorBody)(output.body, context)
  };
  const errorCode = (0, import_core2.loadRestJsonErrorCode)(output, parsedOutput.body);
  switch (errorCode) {
    case "AccessDeniedException":
    case "com.amazonaws.sagemakergeospatial#AccessDeniedException":
      throw await de_AccessDeniedExceptionRes(parsedOutput, context);
    case "ConflictException":
    case "com.amazonaws.sagemakergeospatial#ConflictException":
      throw await de_ConflictExceptionRes(parsedOutput, context);
    case "InternalServerException":
    case "com.amazonaws.sagemakergeospatial#InternalServerException":
      throw await de_InternalServerExceptionRes(parsedOutput, context);
    case "ResourceNotFoundException":
    case "com.amazonaws.sagemakergeospatial#ResourceNotFoundException":
      throw await de_ResourceNotFoundExceptionRes(parsedOutput, context);
    case "ThrottlingException":
    case "com.amazonaws.sagemakergeospatial#ThrottlingException":
      throw await de_ThrottlingExceptionRes(parsedOutput, context);
    case "ValidationException":
    case "com.amazonaws.sagemakergeospatial#ValidationException":
      throw await de_ValidationExceptionRes(parsedOutput, context);
    case "ServiceQuotaExceededException":
    case "com.amazonaws.sagemakergeospatial#ServiceQuotaExceededException":
      throw await de_ServiceQuotaExceededExceptionRes(parsedOutput, context);
    default:
      const parsedBody = parsedOutput.body;
      return throwDefaultError({
        output,
        parsedBody,
        errorCode
      });
  }
}, "de_CommandError");
var throwDefaultError = (0, import_smithy_client.withBaseException)(SageMakerGeospatialServiceException);
var de_AccessDeniedExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new AccessDeniedException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_AccessDeniedExceptionRes");
var de_ConflictExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString,
    ResourceId: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ConflictException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ConflictExceptionRes");
var de_InternalServerExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString,
    ResourceId: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new InternalServerException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_InternalServerExceptionRes");
var de_ResourceNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString,
    ResourceId: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ResourceNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ResourceNotFoundExceptionRes");
var de_ServiceQuotaExceededExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString,
    ResourceId: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ServiceQuotaExceededException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ServiceQuotaExceededExceptionRes");
var de_ThrottlingExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString,
    ResourceId: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ThrottlingException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ThrottlingExceptionRes");
var de_ValidationExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString,
    ResourceId: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ValidationException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ValidationExceptionRes");
var se_AreaOfInterest = /* @__PURE__ */ __name((input, context) => {
  return AreaOfInterest.visit(input, {
    AreaOfInterestGeometry: /* @__PURE__ */ __name((value) => ({ AreaOfInterestGeometry: se_AreaOfInterestGeometry(value, context) }), "AreaOfInterestGeometry"),
    _: /* @__PURE__ */ __name((name, value) => ({ [name]: value }), "_")
  });
}, "se_AreaOfInterest");
var se_AreaOfInterestGeometry = /* @__PURE__ */ __name((input, context) => {
  return AreaOfInterestGeometry.visit(input, {
    MultiPolygonGeometry: /* @__PURE__ */ __name((value) => ({ MultiPolygonGeometry: se_MultiPolygonGeometryInput(value, context) }), "MultiPolygonGeometry"),
    PolygonGeometry: /* @__PURE__ */ __name((value) => ({ PolygonGeometry: se_PolygonGeometryInput(value, context) }), "PolygonGeometry"),
    _: /* @__PURE__ */ __name((name, value) => ({ [name]: value }), "_")
  });
}, "se_AreaOfInterestGeometry");
var se_EoCloudCoverInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    LowerBound: import_smithy_client.serializeFloat,
    UpperBound: import_smithy_client.serializeFloat
  });
}, "se_EoCloudCoverInput");
var se_InputConfigInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    PreviousEarthObservationJobArn: [],
    RasterDataCollectionQuery: /* @__PURE__ */ __name((_) => se_RasterDataCollectionQueryInput(_, context), "RasterDataCollectionQuery")
  });
}, "se_InputConfigInput");
var se_JobConfigInput = /* @__PURE__ */ __name((input, context) => {
  return JobConfigInput.visit(input, {
    BandMathConfig: /* @__PURE__ */ __name((value) => ({ BandMathConfig: (0, import_smithy_client._json)(value) }), "BandMathConfig"),
    CloudMaskingConfig: /* @__PURE__ */ __name((value) => ({ CloudMaskingConfig: (0, import_smithy_client._json)(value) }), "CloudMaskingConfig"),
    CloudRemovalConfig: /* @__PURE__ */ __name((value) => ({ CloudRemovalConfig: (0, import_smithy_client._json)(value) }), "CloudRemovalConfig"),
    GeoMosaicConfig: /* @__PURE__ */ __name((value) => ({ GeoMosaicConfig: (0, import_smithy_client._json)(value) }), "GeoMosaicConfig"),
    LandCoverSegmentationConfig: /* @__PURE__ */ __name((value) => ({ LandCoverSegmentationConfig: (0, import_smithy_client._json)(value) }), "LandCoverSegmentationConfig"),
    ResamplingConfig: /* @__PURE__ */ __name((value) => ({ ResamplingConfig: se_ResamplingConfigInput(value, context) }), "ResamplingConfig"),
    StackConfig: /* @__PURE__ */ __name((value) => ({ StackConfig: se_StackConfigInput(value, context) }), "StackConfig"),
    TemporalStatisticsConfig: /* @__PURE__ */ __name((value) => ({ TemporalStatisticsConfig: (0, import_smithy_client._json)(value) }), "TemporalStatisticsConfig"),
    ZonalStatisticsConfig: /* @__PURE__ */ __name((value) => ({ ZonalStatisticsConfig: (0, import_smithy_client._json)(value) }), "ZonalStatisticsConfig"),
    _: /* @__PURE__ */ __name((name, value) => ({ [name]: value }), "_")
  });
}, "se_JobConfigInput");
var se_LandsatCloudCoverLandInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    LowerBound: import_smithy_client.serializeFloat,
    UpperBound: import_smithy_client.serializeFloat
  });
}, "se_LandsatCloudCoverLandInput");
var se_LinearRing = /* @__PURE__ */ __name((input, context) => {
  return input.filter((e) => e != null).map((entry) => {
    return se_Position(entry, context);
  });
}, "se_LinearRing");
var se_LinearRings = /* @__PURE__ */ __name((input, context) => {
  return input.filter((e) => e != null).map((entry) => {
    return se_LinearRing(entry, context);
  });
}, "se_LinearRings");
var se_LinearRingsList = /* @__PURE__ */ __name((input, context) => {
  return input.filter((e) => e != null).map((entry) => {
    return se_LinearRings(entry, context);
  });
}, "se_LinearRingsList");
var se_MultiPolygonGeometryInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    Coordinates: /* @__PURE__ */ __name((_) => se_LinearRingsList(_, context), "Coordinates")
  });
}, "se_MultiPolygonGeometryInput");
var se_OutputResolutionResamplingInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    UserDefined: /* @__PURE__ */ __name((_) => se_UserDefined(_, context), "UserDefined")
  });
}, "se_OutputResolutionResamplingInput");
var se_OutputResolutionStackInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    Predefined: [],
    UserDefined: /* @__PURE__ */ __name((_) => se_UserDefined(_, context), "UserDefined")
  });
}, "se_OutputResolutionStackInput");
var se_PolygonGeometryInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    Coordinates: /* @__PURE__ */ __name((_) => se_LinearRings(_, context), "Coordinates")
  });
}, "se_PolygonGeometryInput");
var se_Position = /* @__PURE__ */ __name((input, context) => {
  return input.filter((e) => e != null).map((entry) => {
    return (0, import_smithy_client.serializeFloat)(entry);
  });
}, "se_Position");
var se_Property = /* @__PURE__ */ __name((input, context) => {
  return Property.visit(input, {
    EoCloudCover: /* @__PURE__ */ __name((value) => ({ EoCloudCover: se_EoCloudCoverInput(value, context) }), "EoCloudCover"),
    LandsatCloudCoverLand: /* @__PURE__ */ __name((value) => ({ LandsatCloudCoverLand: se_LandsatCloudCoverLandInput(value, context) }), "LandsatCloudCoverLand"),
    Platform: /* @__PURE__ */ __name((value) => ({ Platform: (0, import_smithy_client._json)(value) }), "Platform"),
    ViewOffNadir: /* @__PURE__ */ __name((value) => ({ ViewOffNadir: se_ViewOffNadirInput(value, context) }), "ViewOffNadir"),
    ViewSunAzimuth: /* @__PURE__ */ __name((value) => ({ ViewSunAzimuth: se_ViewSunAzimuthInput(value, context) }), "ViewSunAzimuth"),
    ViewSunElevation: /* @__PURE__ */ __name((value) => ({ ViewSunElevation: se_ViewSunElevationInput(value, context) }), "ViewSunElevation"),
    _: /* @__PURE__ */ __name((name, value) => ({ [name]: value }), "_")
  });
}, "se_Property");
var se_PropertyFilter = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    Property: /* @__PURE__ */ __name((_) => se_Property(_, context), "Property")
  });
}, "se_PropertyFilter");
var se_PropertyFilters = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    LogicalOperator: [],
    Properties: /* @__PURE__ */ __name((_) => se_PropertyFiltersList(_, context), "Properties")
  });
}, "se_PropertyFilters");
var se_PropertyFiltersList = /* @__PURE__ */ __name((input, context) => {
  return input.filter((e) => e != null).map((entry) => {
    return se_PropertyFilter(entry, context);
  });
}, "se_PropertyFiltersList");
var se_RasterDataCollectionQueryInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    AreaOfInterest: /* @__PURE__ */ __name((_) => se_AreaOfInterest(_, context), "AreaOfInterest"),
    PropertyFilters: /* @__PURE__ */ __name((_) => se_PropertyFilters(_, context), "PropertyFilters"),
    RasterDataCollectionArn: [],
    TimeRangeFilter: /* @__PURE__ */ __name((_) => se_TimeRangeFilterInput(_, context), "TimeRangeFilter")
  });
}, "se_RasterDataCollectionQueryInput");
var se_RasterDataCollectionQueryWithBandFilterInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    AreaOfInterest: /* @__PURE__ */ __name((_) => se_AreaOfInterest(_, context), "AreaOfInterest"),
    BandFilter: import_smithy_client._json,
    PropertyFilters: /* @__PURE__ */ __name((_) => se_PropertyFilters(_, context), "PropertyFilters"),
    TimeRangeFilter: /* @__PURE__ */ __name((_) => se_TimeRangeFilterInput(_, context), "TimeRangeFilter")
  });
}, "se_RasterDataCollectionQueryWithBandFilterInput");
var se_ResamplingConfigInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    AlgorithmName: [],
    OutputResolution: /* @__PURE__ */ __name((_) => se_OutputResolutionResamplingInput(_, context), "OutputResolution"),
    TargetBands: import_smithy_client._json
  });
}, "se_ResamplingConfigInput");
var se_StackConfigInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    OutputResolution: /* @__PURE__ */ __name((_) => se_OutputResolutionStackInput(_, context), "OutputResolution"),
    TargetBands: import_smithy_client._json
  });
}, "se_StackConfigInput");
var se_TimeRangeFilterInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    EndTime: /* @__PURE__ */ __name((_) => _.getTime() / 1e3, "EndTime"),
    StartTime: /* @__PURE__ */ __name((_) => _.getTime() / 1e3, "StartTime")
  });
}, "se_TimeRangeFilterInput");
var se_UserDefined = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    Unit: [],
    Value: import_smithy_client.serializeFloat
  });
}, "se_UserDefined");
var se_ViewOffNadirInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    LowerBound: import_smithy_client.serializeFloat,
    UpperBound: import_smithy_client.serializeFloat
  });
}, "se_ViewOffNadirInput");
var se_ViewSunAzimuthInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    LowerBound: import_smithy_client.serializeFloat,
    UpperBound: import_smithy_client.serializeFloat
  });
}, "se_ViewSunAzimuthInput");
var se_ViewSunElevationInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    LowerBound: import_smithy_client.serializeFloat,
    UpperBound: import_smithy_client.serializeFloat
  });
}, "se_ViewSunElevationInput");
var de_AreaOfInterest = /* @__PURE__ */ __name((output, context) => {
  if (output.AreaOfInterestGeometry != null) {
    return {
      AreaOfInterestGeometry: de_AreaOfInterestGeometry((0, import_core2.awsExpectUnion)(output.AreaOfInterestGeometry), context)
    };
  }
  return { $unknown: Object.entries(output)[0] };
}, "de_AreaOfInterest");
var de_AreaOfInterestGeometry = /* @__PURE__ */ __name((output, context) => {
  if (output.MultiPolygonGeometry != null) {
    return {
      MultiPolygonGeometry: de_MultiPolygonGeometryInput(output.MultiPolygonGeometry, context)
    };
  }
  if (output.PolygonGeometry != null) {
    return {
      PolygonGeometry: de_PolygonGeometryInput(output.PolygonGeometry, context)
    };
  }
  return { $unknown: Object.entries(output)[0] };
}, "de_AreaOfInterestGeometry");
var de_DataCollectionsList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_RasterDataCollectionMetadata(entry, context);
  });
  return retVal;
}, "de_DataCollectionsList");
var de_EarthObservationJobList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_ListEarthObservationJobOutputConfig(entry, context);
  });
  return retVal;
}, "de_EarthObservationJobList");
var de_EoCloudCoverInput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    LowerBound: import_smithy_client.limitedParseFloat32,
    UpperBound: import_smithy_client.limitedParseFloat32
  });
}, "de_EoCloudCoverInput");
var de_Filter = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Maximum: import_smithy_client.limitedParseFloat32,
    Minimum: import_smithy_client.limitedParseFloat32,
    Name: import_smithy_client.expectString,
    Type: import_smithy_client.expectString
  });
}, "de_Filter");
var de_FilterList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_Filter(entry, context);
  });
  return retVal;
}, "de_FilterList");
var de_Geometry = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Coordinates: /* @__PURE__ */ __name((_) => de_LinearRings(_, context), "Coordinates"),
    Type: import_smithy_client.expectString
  });
}, "de_Geometry");
var de_InputConfigOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    PreviousEarthObservationJobArn: import_smithy_client.expectString,
    RasterDataCollectionQuery: /* @__PURE__ */ __name((_) => de_RasterDataCollectionQueryOutput(_, context), "RasterDataCollectionQuery")
  });
}, "de_InputConfigOutput");
var de_ItemSource = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Assets: import_smithy_client._json,
    DateTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "DateTime"),
    Geometry: /* @__PURE__ */ __name((_) => de_Geometry(_, context), "Geometry"),
    Id: import_smithy_client.expectString,
    Properties: /* @__PURE__ */ __name((_) => de_Properties(_, context), "Properties")
  });
}, "de_ItemSource");
var de_ItemSourceList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_ItemSource(entry, context);
  });
  return retVal;
}, "de_ItemSourceList");
var de_JobConfigInput = /* @__PURE__ */ __name((output, context) => {
  if (output.BandMathConfig != null) {
    return {
      BandMathConfig: (0, import_smithy_client._json)(output.BandMathConfig)
    };
  }
  if (output.CloudMaskingConfig != null) {
    return {
      CloudMaskingConfig: (0, import_smithy_client._json)(output.CloudMaskingConfig)
    };
  }
  if (output.CloudRemovalConfig != null) {
    return {
      CloudRemovalConfig: (0, import_smithy_client._json)(output.CloudRemovalConfig)
    };
  }
  if (output.GeoMosaicConfig != null) {
    return {
      GeoMosaicConfig: (0, import_smithy_client._json)(output.GeoMosaicConfig)
    };
  }
  if (output.LandCoverSegmentationConfig != null) {
    return {
      LandCoverSegmentationConfig: (0, import_smithy_client._json)(output.LandCoverSegmentationConfig)
    };
  }
  if (output.ResamplingConfig != null) {
    return {
      ResamplingConfig: de_ResamplingConfigInput(output.ResamplingConfig, context)
    };
  }
  if (output.StackConfig != null) {
    return {
      StackConfig: de_StackConfigInput(output.StackConfig, context)
    };
  }
  if (output.TemporalStatisticsConfig != null) {
    return {
      TemporalStatisticsConfig: (0, import_smithy_client._json)(output.TemporalStatisticsConfig)
    };
  }
  if (output.ZonalStatisticsConfig != null) {
    return {
      ZonalStatisticsConfig: (0, import_smithy_client._json)(output.ZonalStatisticsConfig)
    };
  }
  return { $unknown: Object.entries(output)[0] };
}, "de_JobConfigInput");
var de_LandsatCloudCoverLandInput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    LowerBound: import_smithy_client.limitedParseFloat32,
    UpperBound: import_smithy_client.limitedParseFloat32
  });
}, "de_LandsatCloudCoverLandInput");
var de_LinearRing = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_Position(entry, context);
  });
  return retVal;
}, "de_LinearRing");
var de_LinearRings = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_LinearRing(entry, context);
  });
  return retVal;
}, "de_LinearRings");
var de_LinearRingsList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_LinearRings(entry, context);
  });
  return retVal;
}, "de_LinearRingsList");
var de_ListEarthObservationJobOutputConfig = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Arn: import_smithy_client.expectString,
    CreationTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseRfc3339DateTimeWithOffset)(_)), "CreationTime"),
    DurationInSeconds: import_smithy_client.expectInt32,
    Name: import_smithy_client.expectString,
    OperationType: import_smithy_client.expectString,
    Status: import_smithy_client.expectString,
    Tags: import_smithy_client._json
  });
}, "de_ListEarthObservationJobOutputConfig");
var de_ListVectorEnrichmentJobOutputConfig = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Arn: import_smithy_client.expectString,
    CreationTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseRfc3339DateTimeWithOffset)(_)), "CreationTime"),
    DurationInSeconds: import_smithy_client.expectInt32,
    Name: import_smithy_client.expectString,
    Status: import_smithy_client.expectString,
    Tags: import_smithy_client._json,
    Type: import_smithy_client.expectString
  });
}, "de_ListVectorEnrichmentJobOutputConfig");
var de_MultiPolygonGeometryInput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Coordinates: /* @__PURE__ */ __name((_) => de_LinearRingsList(_, context), "Coordinates")
  });
}, "de_MultiPolygonGeometryInput");
var de_OutputResolutionResamplingInput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    UserDefined: /* @__PURE__ */ __name((_) => de_UserDefined(_, context), "UserDefined")
  });
}, "de_OutputResolutionResamplingInput");
var de_OutputResolutionStackInput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Predefined: import_smithy_client.expectString,
    UserDefined: /* @__PURE__ */ __name((_) => de_UserDefined(_, context), "UserDefined")
  });
}, "de_OutputResolutionStackInput");
var de_PolygonGeometryInput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Coordinates: /* @__PURE__ */ __name((_) => de_LinearRings(_, context), "Coordinates")
  });
}, "de_PolygonGeometryInput");
var de_Position = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return (0, import_smithy_client.limitedParseDouble)(entry);
  });
  return retVal;
}, "de_Position");
var de_Properties = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    EoCloudCover: import_smithy_client.limitedParseFloat32,
    LandsatCloudCoverLand: import_smithy_client.limitedParseFloat32,
    Platform: import_smithy_client.expectString,
    ViewOffNadir: import_smithy_client.limitedParseFloat32,
    ViewSunAzimuth: import_smithy_client.limitedParseFloat32,
    ViewSunElevation: import_smithy_client.limitedParseFloat32
  });
}, "de_Properties");
var de_Property = /* @__PURE__ */ __name((output, context) => {
  if (output.EoCloudCover != null) {
    return {
      EoCloudCover: de_EoCloudCoverInput(output.EoCloudCover, context)
    };
  }
  if (output.LandsatCloudCoverLand != null) {
    return {
      LandsatCloudCoverLand: de_LandsatCloudCoverLandInput(output.LandsatCloudCoverLand, context)
    };
  }
  if (output.Platform != null) {
    return {
      Platform: (0, import_smithy_client._json)(output.Platform)
    };
  }
  if (output.ViewOffNadir != null) {
    return {
      ViewOffNadir: de_ViewOffNadirInput(output.ViewOffNadir, context)
    };
  }
  if (output.ViewSunAzimuth != null) {
    return {
      ViewSunAzimuth: de_ViewSunAzimuthInput(output.ViewSunAzimuth, context)
    };
  }
  if (output.ViewSunElevation != null) {
    return {
      ViewSunElevation: de_ViewSunElevationInput(output.ViewSunElevation, context)
    };
  }
  return { $unknown: Object.entries(output)[0] };
}, "de_Property");
var de_PropertyFilter = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Property: /* @__PURE__ */ __name((_) => de_Property((0, import_core2.awsExpectUnion)(_), context), "Property")
  });
}, "de_PropertyFilter");
var de_PropertyFilters = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    LogicalOperator: import_smithy_client.expectString,
    Properties: /* @__PURE__ */ __name((_) => de_PropertyFiltersList(_, context), "Properties")
  });
}, "de_PropertyFilters");
var de_PropertyFiltersList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_PropertyFilter(entry, context);
  });
  return retVal;
}, "de_PropertyFiltersList");
var de_RasterDataCollectionMetadata = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Arn: import_smithy_client.expectString,
    Description: import_smithy_client.expectString,
    DescriptionPageUrl: import_smithy_client.expectString,
    Name: import_smithy_client.expectString,
    SupportedFilters: /* @__PURE__ */ __name((_) => de_FilterList(_, context), "SupportedFilters"),
    Tags: import_smithy_client._json,
    Type: import_smithy_client.expectString
  });
}, "de_RasterDataCollectionMetadata");
var de_RasterDataCollectionQueryOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    AreaOfInterest: /* @__PURE__ */ __name((_) => de_AreaOfInterest((0, import_core2.awsExpectUnion)(_), context), "AreaOfInterest"),
    PropertyFilters: /* @__PURE__ */ __name((_) => de_PropertyFilters(_, context), "PropertyFilters"),
    RasterDataCollectionArn: import_smithy_client.expectString,
    RasterDataCollectionName: import_smithy_client.expectString,
    TimeRangeFilter: /* @__PURE__ */ __name((_) => de_TimeRangeFilterOutput(_, context), "TimeRangeFilter")
  });
}, "de_RasterDataCollectionQueryOutput");
var de_ResamplingConfigInput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    AlgorithmName: import_smithy_client.expectString,
    OutputResolution: /* @__PURE__ */ __name((_) => de_OutputResolutionResamplingInput(_, context), "OutputResolution"),
    TargetBands: import_smithy_client._json
  });
}, "de_ResamplingConfigInput");
var de_StackConfigInput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    OutputResolution: /* @__PURE__ */ __name((_) => de_OutputResolutionStackInput(_, context), "OutputResolution"),
    TargetBands: import_smithy_client._json
  });
}, "de_StackConfigInput");
var de_TimeRangeFilterOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    EndTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseRfc3339DateTimeWithOffset)(_)), "EndTime"),
    StartTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseRfc3339DateTimeWithOffset)(_)), "StartTime")
  });
}, "de_TimeRangeFilterOutput");
var de_UserDefined = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Unit: import_smithy_client.expectString,
    Value: import_smithy_client.limitedParseFloat32
  });
}, "de_UserDefined");
var de_VectorEnrichmentJobList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_ListVectorEnrichmentJobOutputConfig(entry, context);
  });
  return retVal;
}, "de_VectorEnrichmentJobList");
var de_ViewOffNadirInput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    LowerBound: import_smithy_client.limitedParseFloat32,
    UpperBound: import_smithy_client.limitedParseFloat32
  });
}, "de_ViewOffNadirInput");
var de_ViewSunAzimuthInput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    LowerBound: import_smithy_client.limitedParseFloat32,
    UpperBound: import_smithy_client.limitedParseFloat32
  });
}, "de_ViewSunAzimuthInput");
var de_ViewSunElevationInput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    LowerBound: import_smithy_client.limitedParseFloat32,
    UpperBound: import_smithy_client.limitedParseFloat32
  });
}, "de_ViewSunElevationInput");
var deserializeMetadata = /* @__PURE__ */ __name((output) => ({
  httpStatusCode: output.statusCode,
  requestId: output.headers["x-amzn-requestid"] ?? output.headers["x-amzn-request-id"] ?? output.headers["x-amz-request-id"],
  extendedRequestId: output.headers["x-amz-id-2"],
  cfId: output.headers["x-amz-cf-id"]
}), "deserializeMetadata");
var _A = "Arn";
var _ERA = "ExecutionRoleArn";
var _IA = "ImageAssets";
var _IM = "ImageMask";
var _MR = "MaxResults";
var _NT = "NextToken";
var _ODT = "OutputDataType";
var _OF = "OutputFormat";
var _PF = "PropertyFilters";
var _T = "Target";
var _TK = "TagKeys";
var _TRF = "TimeRangeFilter";
var _tK = "tagKeys";

// src/commands/DeleteEarthObservationJobCommand.ts
var DeleteEarthObservationJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "DeleteEarthObservationJob", {}).n("SageMakerGeospatialClient", "DeleteEarthObservationJobCommand").f(void 0, void 0).ser(se_DeleteEarthObservationJobCommand).de(de_DeleteEarthObservationJobCommand).build() {
  static {
    __name(this, "DeleteEarthObservationJobCommand");
  }
};

// src/commands/DeleteVectorEnrichmentJobCommand.ts



var DeleteVectorEnrichmentJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "DeleteVectorEnrichmentJob", {}).n("SageMakerGeospatialClient", "DeleteVectorEnrichmentJobCommand").f(void 0, void 0).ser(se_DeleteVectorEnrichmentJobCommand).de(de_DeleteVectorEnrichmentJobCommand).build() {
  static {
    __name(this, "DeleteVectorEnrichmentJobCommand");
  }
};

// src/commands/ExportEarthObservationJobCommand.ts



var ExportEarthObservationJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "ExportEarthObservationJob", {}).n("SageMakerGeospatialClient", "ExportEarthObservationJobCommand").f(void 0, void 0).ser(se_ExportEarthObservationJobCommand).de(de_ExportEarthObservationJobCommand).build() {
  static {
    __name(this, "ExportEarthObservationJobCommand");
  }
};

// src/commands/ExportVectorEnrichmentJobCommand.ts



var ExportVectorEnrichmentJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "ExportVectorEnrichmentJob", {}).n("SageMakerGeospatialClient", "ExportVectorEnrichmentJobCommand").f(void 0, void 0).ser(se_ExportVectorEnrichmentJobCommand).de(de_ExportVectorEnrichmentJobCommand).build() {
  static {
    __name(this, "ExportVectorEnrichmentJobCommand");
  }
};

// src/commands/GetEarthObservationJobCommand.ts



var GetEarthObservationJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "GetEarthObservationJob", {}).n("SageMakerGeospatialClient", "GetEarthObservationJobCommand").f(void 0, GetEarthObservationJobOutputFilterSensitiveLog).ser(se_GetEarthObservationJobCommand).de(de_GetEarthObservationJobCommand).build() {
  static {
    __name(this, "GetEarthObservationJobCommand");
  }
};

// src/commands/GetRasterDataCollectionCommand.ts



var GetRasterDataCollectionCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "GetRasterDataCollection", {}).n("SageMakerGeospatialClient", "GetRasterDataCollectionCommand").f(void 0, void 0).ser(se_GetRasterDataCollectionCommand).de(de_GetRasterDataCollectionCommand).build() {
  static {
    __name(this, "GetRasterDataCollectionCommand");
  }
};

// src/commands/GetTileCommand.ts



var GetTileCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "GetTile", {}).n("SageMakerGeospatialClient", "GetTileCommand").f(void 0, GetTileOutputFilterSensitiveLog).ser(se_GetTileCommand).de(de_GetTileCommand).build() {
  static {
    __name(this, "GetTileCommand");
  }
};

// src/commands/GetVectorEnrichmentJobCommand.ts



var GetVectorEnrichmentJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "GetVectorEnrichmentJob", {}).n("SageMakerGeospatialClient", "GetVectorEnrichmentJobCommand").f(void 0, void 0).ser(se_GetVectorEnrichmentJobCommand).de(de_GetVectorEnrichmentJobCommand).build() {
  static {
    __name(this, "GetVectorEnrichmentJobCommand");
  }
};

// src/commands/ListEarthObservationJobsCommand.ts



var ListEarthObservationJobsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "ListEarthObservationJobs", {}).n("SageMakerGeospatialClient", "ListEarthObservationJobsCommand").f(ListEarthObservationJobInputFilterSensitiveLog, ListEarthObservationJobOutputFilterSensitiveLog).ser(se_ListEarthObservationJobsCommand).de(de_ListEarthObservationJobsCommand).build() {
  static {
    __name(this, "ListEarthObservationJobsCommand");
  }
};

// src/commands/ListRasterDataCollectionsCommand.ts



var ListRasterDataCollectionsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "ListRasterDataCollections", {}).n("SageMakerGeospatialClient", "ListRasterDataCollectionsCommand").f(ListRasterDataCollectionsInputFilterSensitiveLog, ListRasterDataCollectionsOutputFilterSensitiveLog).ser(se_ListRasterDataCollectionsCommand).de(de_ListRasterDataCollectionsCommand).build() {
  static {
    __name(this, "ListRasterDataCollectionsCommand");
  }
};

// src/commands/ListTagsForResourceCommand.ts



var ListTagsForResourceCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "ListTagsForResource", {}).n("SageMakerGeospatialClient", "ListTagsForResourceCommand").f(void 0, void 0).ser(se_ListTagsForResourceCommand).de(de_ListTagsForResourceCommand).build() {
  static {
    __name(this, "ListTagsForResourceCommand");
  }
};

// src/commands/ListVectorEnrichmentJobsCommand.ts



var ListVectorEnrichmentJobsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "ListVectorEnrichmentJobs", {}).n("SageMakerGeospatialClient", "ListVectorEnrichmentJobsCommand").f(ListVectorEnrichmentJobInputFilterSensitiveLog, ListVectorEnrichmentJobOutputFilterSensitiveLog).ser(se_ListVectorEnrichmentJobsCommand).de(de_ListVectorEnrichmentJobsCommand).build() {
  static {
    __name(this, "ListVectorEnrichmentJobsCommand");
  }
};

// src/commands/SearchRasterDataCollectionCommand.ts



var SearchRasterDataCollectionCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "SearchRasterDataCollection", {}).n("SageMakerGeospatialClient", "SearchRasterDataCollectionCommand").f(SearchRasterDataCollectionInputFilterSensitiveLog, SearchRasterDataCollectionOutputFilterSensitiveLog).ser(se_SearchRasterDataCollectionCommand).de(de_SearchRasterDataCollectionCommand).build() {
  static {
    __name(this, "SearchRasterDataCollectionCommand");
  }
};

// src/commands/StartEarthObservationJobCommand.ts



var StartEarthObservationJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "StartEarthObservationJob", {}).n("SageMakerGeospatialClient", "StartEarthObservationJobCommand").f(StartEarthObservationJobInputFilterSensitiveLog, StartEarthObservationJobOutputFilterSensitiveLog).ser(se_StartEarthObservationJobCommand).de(de_StartEarthObservationJobCommand).build() {
  static {
    __name(this, "StartEarthObservationJobCommand");
  }
};

// src/commands/StartVectorEnrichmentJobCommand.ts



var StartVectorEnrichmentJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "StartVectorEnrichmentJob", {}).n("SageMakerGeospatialClient", "StartVectorEnrichmentJobCommand").f(void 0, void 0).ser(se_StartVectorEnrichmentJobCommand).de(de_StartVectorEnrichmentJobCommand).build() {
  static {
    __name(this, "StartVectorEnrichmentJobCommand");
  }
};

// src/commands/StopEarthObservationJobCommand.ts



var StopEarthObservationJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "StopEarthObservationJob", {}).n("SageMakerGeospatialClient", "StopEarthObservationJobCommand").f(void 0, void 0).ser(se_StopEarthObservationJobCommand).de(de_StopEarthObservationJobCommand).build() {
  static {
    __name(this, "StopEarthObservationJobCommand");
  }
};

// src/commands/StopVectorEnrichmentJobCommand.ts



var StopVectorEnrichmentJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "StopVectorEnrichmentJob", {}).n("SageMakerGeospatialClient", "StopVectorEnrichmentJobCommand").f(void 0, void 0).ser(se_StopVectorEnrichmentJobCommand).de(de_StopVectorEnrichmentJobCommand).build() {
  static {
    __name(this, "StopVectorEnrichmentJobCommand");
  }
};

// src/commands/TagResourceCommand.ts



var TagResourceCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "TagResource", {}).n("SageMakerGeospatialClient", "TagResourceCommand").f(void 0, void 0).ser(se_TagResourceCommand).de(de_TagResourceCommand).build() {
  static {
    __name(this, "TagResourceCommand");
  }
};

// src/commands/UntagResourceCommand.ts



var UntagResourceCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("SageMakerGeospatial", "UntagResource", {}).n("SageMakerGeospatialClient", "UntagResourceCommand").f(void 0, void 0).ser(se_UntagResourceCommand).de(de_UntagResourceCommand).build() {
  static {
    __name(this, "UntagResourceCommand");
  }
};

// src/SageMakerGeospatial.ts
var commands = {
  DeleteEarthObservationJobCommand,
  DeleteVectorEnrichmentJobCommand,
  ExportEarthObservationJobCommand,
  ExportVectorEnrichmentJobCommand,
  GetEarthObservationJobCommand,
  GetRasterDataCollectionCommand,
  GetTileCommand,
  GetVectorEnrichmentJobCommand,
  ListEarthObservationJobsCommand,
  ListRasterDataCollectionsCommand,
  ListTagsForResourceCommand,
  ListVectorEnrichmentJobsCommand,
  SearchRasterDataCollectionCommand,
  StartEarthObservationJobCommand,
  StartVectorEnrichmentJobCommand,
  StopEarthObservationJobCommand,
  StopVectorEnrichmentJobCommand,
  TagResourceCommand,
  UntagResourceCommand
};
var SageMakerGeospatial = class extends SageMakerGeospatialClient {
  static {
    __name(this, "SageMakerGeospatial");
  }
};
(0, import_smithy_client.createAggregatedClient)(commands, SageMakerGeospatial);

// src/pagination/ListEarthObservationJobsPaginator.ts

var paginateListEarthObservationJobs = (0, import_core.createPaginator)(SageMakerGeospatialClient, ListEarthObservationJobsCommand, "NextToken", "NextToken", "");

// src/pagination/ListRasterDataCollectionsPaginator.ts

var paginateListRasterDataCollections = (0, import_core.createPaginator)(SageMakerGeospatialClient, ListRasterDataCollectionsCommand, "NextToken", "NextToken", "");

// src/pagination/ListVectorEnrichmentJobsPaginator.ts

var paginateListVectorEnrichmentJobs = (0, import_core.createPaginator)(SageMakerGeospatialClient, ListVectorEnrichmentJobsCommand, "NextToken", "NextToken", "");

// src/pagination/SearchRasterDataCollectionPaginator.ts

var paginateSearchRasterDataCollection = (0, import_core.createPaginator)(SageMakerGeospatialClient, SearchRasterDataCollectionCommand, "NextToken", "NextToken", "");
// Annotate the CommonJS export names for ESM import in node:

0 && (module.exports = {
  SageMakerGeospatialServiceException,
  __Client,
  SageMakerGeospatialClient,
  SageMakerGeospatial,
  $Command,
  DeleteEarthObservationJobCommand,
  DeleteVectorEnrichmentJobCommand,
  ExportEarthObservationJobCommand,
  ExportVectorEnrichmentJobCommand,
  GetEarthObservationJobCommand,
  GetRasterDataCollectionCommand,
  GetTileCommand,
  GetVectorEnrichmentJobCommand,
  ListEarthObservationJobsCommand,
  ListRasterDataCollectionsCommand,
  ListTagsForResourceCommand,
  ListVectorEnrichmentJobsCommand,
  SearchRasterDataCollectionCommand,
  StartEarthObservationJobCommand,
  StartVectorEnrichmentJobCommand,
  StopEarthObservationJobCommand,
  StopVectorEnrichmentJobCommand,
  TagResourceCommand,
  UntagResourceCommand,
  paginateListEarthObservationJobs,
  paginateListRasterDataCollections,
  paginateListVectorEnrichmentJobs,
  paginateSearchRasterDataCollection,
  AccessDeniedException,
  AlgorithmNameCloudRemoval,
  AlgorithmNameGeoMosaic,
  AlgorithmNameResampling,
  AreaOfInterestGeometry,
  AreaOfInterest,
  OutputType,
  ComparisonOperator,
  ConflictException,
  DataCollectionType,
  InternalServerException,
  ResourceNotFoundException,
  ThrottlingException,
  ValidationException,
  EarthObservationJobExportStatus,
  ServiceQuotaExceededException,
  EarthObservationJobErrorType,
  ExportErrorType,
  LogicalOperator,
  Property,
  Unit,
  PredefinedResolution,
  GroupBy,
  TemporalStatistics,
  ZonalStatistics,
  JobConfigInput,
  EarthObservationJobStatus,
  TargetOptions,
  SortOrder,
  VectorEnrichmentJobExportStatus,
  VectorEnrichmentJobErrorType,
  VectorEnrichmentJobExportErrorType,
  VectorEnrichmentJobDataSourceConfigInput,
  VectorEnrichmentJobDocumentType,
  VectorEnrichmentJobConfig,
  VectorEnrichmentJobStatus,
  VectorEnrichmentJobType,
  MultiPolygonGeometryInputFilterSensitiveLog,
  PolygonGeometryInputFilterSensitiveLog,
  AreaOfInterestGeometryFilterSensitiveLog,
  AreaOfInterestFilterSensitiveLog,
  TimeRangeFilterOutputFilterSensitiveLog,
  RasterDataCollectionQueryOutputFilterSensitiveLog,
  InputConfigOutputFilterSensitiveLog,
  GetEarthObservationJobOutputFilterSensitiveLog,
  GetTileOutputFilterSensitiveLog,
  ListEarthObservationJobInputFilterSensitiveLog,
  ListEarthObservationJobOutputFilterSensitiveLog,
  TimeRangeFilterInputFilterSensitiveLog,
  RasterDataCollectionQueryInputFilterSensitiveLog,
  InputConfigInputFilterSensitiveLog,
  StartEarthObservationJobInputFilterSensitiveLog,
  StartEarthObservationJobOutputFilterSensitiveLog,
  GeometryFilterSensitiveLog,
  ItemSourceFilterSensitiveLog,
  ListRasterDataCollectionsInputFilterSensitiveLog,
  ListRasterDataCollectionsOutputFilterSensitiveLog,
  ListVectorEnrichmentJobInputFilterSensitiveLog,
  ListVectorEnrichmentJobOutputFilterSensitiveLog,
  RasterDataCollectionQueryWithBandFilterInputFilterSensitiveLog,
  SearchRasterDataCollectionInputFilterSensitiveLog,
  SearchRasterDataCollectionOutputFilterSensitiveLog
});

