import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  StartEarthObservationJobInput,
  StartEarthObservationJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer };
export { $Command };
export interface StartEarthObservationJobCommandInput
  extends StartEarthObservationJobInput {}
export interface StartEarthObservationJobCommandOutput
  extends StartEarthObservationJobOutput,
    __MetadataBearer {}
declare const StartEarthObservationJobCommand_base: {
  new (
    input: StartEarthObservationJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartEarthObservationJobCommandInput,
    StartEarthObservationJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartEarthObservationJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartEarthObservationJobCommandInput,
    StartEarthObservationJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartEarthObservationJobCommand extends StartEarthObservationJobCommand_base {
  protected static __types: {
    api: {
      input: StartEarthObservationJobInput;
      output: StartEarthObservationJobOutput;
    };
    sdk: {
      input: StartEarthObservationJobCommandInput;
      output: StartEarthObservationJobCommandOutput;
    };
  };
}
