import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  StartVectorEnrichmentJobInput,
  StartVectorEnrichmentJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer };
export { $Command };
export interface StartVectorEnrichmentJobCommandInput
  extends StartVectorEnrichmentJobInput {}
export interface StartVectorEnrichmentJobCommandOutput
  extends StartVectorEnrichmentJobOutput,
    __MetadataBearer {}
declare const StartVectorEnrichmentJobCommand_base: {
  new (
    input: StartVectorEnrichmentJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartVectorEnrichmentJobCommandInput,
    StartVectorEnrichmentJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartVectorEnrichmentJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartVectorEnrichmentJobCommandInput,
    StartVectorEnrichmentJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartVectorEnrichmentJobCommand extends StartVectorEnrichmentJobCommand_base {
  protected static __types: {
    api: {
      input: StartVectorEnrichmentJobInput;
      output: StartVectorEnrichmentJobOutput;
    };
    sdk: {
      input: StartVectorEnrichmentJobCommandInput;
      output: StartVectorEnrichmentJobCommandOutput;
    };
  };
}
