import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  StopEarthObservationJobInput,
  StopEarthObservationJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer };
export { $Command };
export interface StopEarthObservationJobCommandInput
  extends StopEarthObservationJobInput {}
export interface StopEarthObservationJobCommandOutput
  extends StopEarthObservationJobOutput,
    __MetadataBearer {}
declare const StopEarthObservationJobCommand_base: {
  new (
    input: StopEarthObservationJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopEarthObservationJobCommandInput,
    StopEarthObservationJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StopEarthObservationJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopEarthObservationJobCommandInput,
    StopEarthObservationJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StopEarthObservationJobCommand extends StopEarthObservationJobCommand_base {
  protected static __types: {
    api: {
      input: StopEarthObservationJobInput;
      output: {};
    };
    sdk: {
      input: StopEarthObservationJobCommandInput;
      output: StopEarthObservationJobCommandOutput;
    };
  };
}
